<bugID>675451<Summary>Allow users to return to the old tab drag behavior</Summary><Description>Bug 455694 introduced tab drag animations, but at the cost of functionality. Various bugs and regressions were introduced alongside the feature which the UX team seem unusually stubborn about addressing. These usability breakages include working with multiple windows, Panorama, tab bookmarking, tab duplication and cancelling drags.

Put simply; pretty tab animations are, in the grand scheme of things, inconsequential to me. So these breakages are simply that; regressions with no added benefit. If the regressions are too difficult or too time consuming to revert, could you instead allow us to choose the old method so that we can continue using the browser as we have done just without the animations?

As a more general observation, I fail to see the appeal of reducing the depth and richness of drag and drop interactions. Given the ubiquitous nature of drag and drop in modern computing I would assume the opposite would be desirable.</Description></bugID>